
Foreman - Bug #1041

Audit logs need to show parent data

07/12/2011 11:14 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Audit Log   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, the audit table logs when a parameter is changed, but not what host/group/domain etc. the change was associated with.

We need to record the parent of the Parameter object in the audit table and then show this info in the UI.

Associated revisions

Revision fd2fa665 - 07/14/2011 08:41 AM - Greg Sutcliffe

Refs #1041 Add audit_parent to db and ui

Seems to work fine, within the limitations of HostClasses getting

their own entry. Search doesn't work right - it searches on

"parent = 1" not "parent = host/domain/blah"

Signed-off-by: Greg Sutcliffe <gsutcliffe@gmail.com>

History

#1 - 07/13/2011 06:21 AM - Greg Sutcliffe

Two patches sent to the dev list. Only thing not working is searching on parent in the Audit tab.

#2 - 07/14/2011 08:42 AM - Ohad Levy

- Category set to Audit Log

- Status changed from New to Closed

- Assignee set to Greg Sutcliffe

- Target version set to 0.4
